> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/stats

> Quick network wide stats, ideal for a landing dashboard usage



## OpenAPI

````yaml /openapi.json get /v1/dash/stats
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/dash/stats:
    get:
      tags:
        - Reporting
        - public
      summary: /report/stats
      description: Quick network wide stats, ideal for a landing dashboard usage
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - pap
              - saas
              - all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  revenue:
                    type: object
                    properties:
                      yesterday:
                        type: number
                      yesterdayCompare:
                        type: number
                      week:
                        type: number
                      weekCompare:
                        type: number
                      rolling:
                        type: number
                      rollingCompare:
                        type: number
                      month:
                        type: number
                      monthCompare:
                        type: number
                    required:
                      - yesterday
                      - yesterdayCompare
                      - week
                      - weekCompare
                      - rolling
                      - rollingCompare
                      - month
                      - monthCompare
                  quality:
                    type: object
                    properties:
                      ctr:
                        type: number
                      ctrCompare:
                        type: number
                      viewability:
                        type: number
                      viewabilityCompare:
                        type: number
                    required:
                      - ctr
                      - ctrCompare
                      - viewability
                      - viewabilityCompare
                  trendData:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          format: date
                        revenue:
                          type: number
                        ad_impressions:
                          type: integer
                        page_impressions:
                          type: integer
                      required:
                        - date
                        - revenue
                        - ad_impressions
                        - page_impressions
                  sparkLine:
                    type: object
                    properties:
                      daily:
                        type: array
                        items:
                          type: number
                      weekly:
                        type: array
                        items:
                          type: number
                      monthly:
                        type: array
                        items:
                          type: number
                      rolling:
                        type: array
                        items:
                          type: number
                      impressions:
                        type: array
                        items:
                          type: integer
                      viewable_imps:
                        type: array
                        items:
                          type: integer
                      clicks:
                        type: array
                        items:
                          type: integer
                    required:
                      - daily
                      - weekly
                      - monthly
                      - rolling
                      - impressions
                      - viewable_imps
                      - clicks
                  top_earners:
                    type: array
                    items:
                      type: object
                      properties:
                        uid:
                          type: integer
                        domain:
                          type: string
                        label:
                          type: string
                          nullable: true
                        value:
                          type: number
                        compare_value:
                          type: number
                  trending_down:
                    type: array
                    items:
                      type: object
                      properties:
                        uid:
                          type: integer
                        domain:
                          type: string
                        label:
                          type: string
                          nullable: true
                        value:
                          type: number
                        compare_value:
                          type: number
                  trending_up:
                    type: array
                    items:
                      type: object
                      properties:
                        uid:
                          type: integer
                        domain:
                          type: string
                        label:
                          type: string
                          nullable: true
                        value:
                          type: number
                        compare_value:
                          type: number
                  currency:
                    type: string
                  success:
                    type: boolean
                required:
                  - revenue
                  - quality
                  - trendData
                  - sparkLine
                  - top_earners
                  - trending_down
                  - trending_up
                  - currency
                  - success
              example:
                revenue:
                  yesterday: 3271.562588157
                  yesterdayCompare: 2834.933901875
                  week: 19749.537339307997
                  weekCompare: 25482.130718404
                  rolling: 97382.370256929
                  rollingCompare: 110568.16263137899
                  month: 107963.35740567699
                  monthCompare: 100928.13259837497
                quality:
                  ctr: 0.007934862348351966
                  ctrCompare: 0.010682066520379018
                  viewability: 65.16919034607079
                  viewabilityCompare: 68.82755518562782
                trendData:
                  - date: '2025-10-25'
                    revenue: 3097.759840454
                    ad_impressions: 7943436
                    page_impressions: 0
                  - date: '2025-10-26'
                    revenue: 2695.879769063
                    ad_impressions: 8249817
                    page_impressions: 0
                  - date: '2025-10-27'
                    revenue: 2575.17015685
                    ad_impressions: 7120624
                    page_impressions: 0
                  - date: '2025-10-28'
                    revenue: 2537.377005384
                    ad_impressions: 6954632
                    page_impressions: 0
                  - date: '2025-10-29'
                    revenue: 2307.63578559
                    ad_impressions: 6374816
                    page_impressions: 0
                  - date: '2025-10-30'
                    revenue: 2626.679120693
                    ad_impressions: 7717280
                    page_impressions: 0
                  - date: '2025-10-31'
                    revenue: 2896.43937623
                    ad_impressions: 7817068
                    page_impressions: 0
                  - date: '2025-11-01'
                    revenue: 2330.603968601
                    ad_impressions: 6057793
                    page_impressions: 0
                  - date: '2025-11-02'
                    revenue: 3340.094482549
                    ad_impressions: 6549111
                    page_impressions: 0
                  - date: '2025-11-03'
                    revenue: 4054.197070549
                    ad_impressions: 8478063
                    page_impressions: 0
                  - date: '2025-11-04'
                    revenue: 3978.989843962
                    ad_impressions: 7828080
                    page_impressions: 0
                  - date: '2025-11-05'
                    revenue: 3543.204595695
                    ad_impressions: 6970715
                    page_impressions: 0
                  - date: '2025-11-06'
                    revenue: 3597.422289722
                    ad_impressions: 6553059
                    page_impressions: 0
                  - date: '2025-11-07'
                    revenue: 4069.241398345
                    ad_impressions: 9070550
                    page_impressions: 0
                  - date: '2025-11-08'
                    revenue: 4939.953855433
                    ad_impressions: 10289526
                    page_impressions: 0
                  - date: '2025-11-09'
                    revenue: 3560.053640097
                    ad_impressions: 7575246
                    page_impressions: 0
                  - date: '2025-11-10'
                    revenue: 3882.503620048
                    ad_impressions: 8013491
                    page_impressions: 0
                  - date: '2025-11-11'
                    revenue: 3844.850125377
                    ad_impressions: 8707606
                    page_impressions: 0
                  - date: '2025-11-12'
                    revenue: 4106.487167854
                    ad_impressions: 8511633
                    page_impressions: 0
                  - date: '2025-11-13'
                    revenue: 4077.929453052
                    ad_impressions: 8406319
                    page_impressions: 0
                  - date: '2025-11-14'
                    revenue: 3737.863403799
                    ad_impressions: 7901036
                    page_impressions: 0
                  - date: '2025-11-15'
                    revenue: 2992.173481543
                    ad_impressions: 5801745
                    page_impressions: 0
                  - date: '2025-11-16'
                    revenue: 2840.323466731
                    ad_impressions: 5530211
                    page_impressions: 0
                  - date: '2025-11-17'
                    revenue: 3152.917411885
                    ad_impressions: 6550175
                    page_impressions: 0
                  - date: '2025-11-18'
                    revenue: 2743.851209679
                    ad_impressions: 5260160
                    page_impressions: 0
                  - date: '2025-11-19'
                    revenue: 2743.132785969
                    ad_impressions: 5530090
                    page_impressions: 0
                  - date: '2025-11-20'
                    revenue: 2508.205384573
                    ad_impressions: 4536565
                    page_impressions: 0
                  - date: '2025-11-21'
                    revenue: 2494.93405717
                    ad_impressions: 4213347
                    page_impressions: 0
                  - date: '2025-11-22'
                    revenue: 2834.933901875
                    ad_impressions: 5466731
                    page_impressions: 0
                  - date: '2025-11-23'
                    revenue: 3271.562588157
                    ad_impressions: 6223874
                    page_impressions: 0
                sparkLine:
                  daily:
                    - 3152.917411885
                    - 2743.851209679
                    - 2743.132785969
                    - 2508.205384573
                    - 2494.93405717
                    - 2834.933901875
                    - 3271.562588157
                  weekly:
                    - 30115.211481282997
                    - 24622.984288141
                    - 23114.574453563997
                    - 18613.999895897003
                    - 27743.062693803
                    - 25482.130718404
                    - 19749.537339307997
                  monthly:
                    - 95284.27639016302
                    - 87499.88497427499
                    - 100928.13259837497
                    - 107963.35740567699
                  rolling:
                    - 87909.574257884
                    - 95164.49304462197
                    - 110568.16263137899
                    - 97382.370256929
                  impressions:
                    - 249447752
                    - 188789571
                    - 235020068
                    - 212202799
                  viewable_imps:
                    - 169996316
                    - 138174911
                    - 161758567
                    - 138290846
                  clicks:
                    - 54510
                    - 28685
                    - 25105
                    - 16838
                top_earners:
                  - uid: 18620
                    domain: example.com
                    label: null
                    value: 97382.370256929
                    compare_value: 110568.16263137899
                trending_down:
                  - uid: 18620
                    domain: example.com
                    label: null
                    value: 19749.537339307997
                    compare_value: 25482.130718404
                trending_up: []
                currency: GBP
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````